Subject: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS

From: "Shahram Davari" <[email-masked]>
Date: Wed, 30 Jul 2008 09:03:37 -0400

Hi,
 
According to Loa's request I want to post a statement that I made in today's
MPLS-TP meeting.
 
Some of the protocols and techniques used in MPLS-TP drafts are applicable
to IP/MPLS. In order to minimize confusion for readers and implementers of
MPLS-TP drafts, I would like to suggest that all MPLS-TP drafts have a
separate section such as "applicability to IP/MPLS" that explains how the
protocols and techniques in those drafts may be used in normal IP/MPLS
forwarding.
 
Regards,
Shahram
_______________________________________________
mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 30 Jul 2008 14:33:54 +0100

Hi Shahram,

I understand where you are coming from, and I would go as far as to say that 
it is clear that:
- many of the applications of MPLS-TP will not be PW
- many of the tools in the MPLS-TP toolkit will be applicable to other than 
MPLS-TP.

However, I want to resist your suggestion.

Many of the MPLS-TP features are provided by existing tools. I do not want 
to write a draft that says (for example) the way to provide protection in 
MPLS-TP is FRR and add a section that says "hey, did you know you can use 
FRR in MPLS/IP?"

If what you are asking for is that *new* tools should describe their wider 
applicability, then I agree. But perhaps a better way to do this is to 
develop the tool in its own I-D *entirely*independent* of its applicability 
to MPLS-TP, but in the context of MPLS. Then the MPLS-TP I-D can point to 
the tool as a solution, just the same way as it would do for any other 
pre-existing tool.

A

----- Original Message ----- 
From: "Shahram Davari" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 30, 2008 2:03 PM
Subject: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS

> protocols and techniques in those drafts may be used in normal IP/MPLS

--------------------------------------------------------------------------------

---

From: "Shahram Davari" <[email-masked]>
Date: Wed, 30 Jul 2008 10:13:07 -0400

Hi Adrian,

Your suggestion makes sense if  the charter of MPLS-TP is to develop new
tools for IP/MPLS that are applicable to MPLS-TP. But I don't think this is
the charter. I think new tools have to be developed for MPLS-TP and they may
or may not apply to IP/MPLS with or without restrictions. Such tools may
also require extra features in order to be useful in IP/MPLS. Your
suggestion would imply a longer development time for protocols required by
MPLS-TP since now they have to apply to more general IP/MPLS as well.

Regards,
Shahram 

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: July-30-08 9:34 AM
To: Shahram Davari; [email-masked]
Subject: Re: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS

Hi Shahram,

it is clear that:

A

----- Original Message ----- 
From: "Shahram Davari" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, July 30, 2008 2:03 PM
Subject: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS

> protocols and techniques in those drafts may be used in normal IP/MPLS

----------------------------------------------------------------------------
----

---

From: "Italo Busi" <[email-masked]>
Date: Wed, 30 Jul 2008 18:09:16 +0100

Sharam,
 
if I understand correctly your proposal, it is applicable only to solution
documents (e.g. GAL and GE-ACH draft) and not to MPLS-TP requirements and
frameworks documents.
 
Is my understanding correct?
 
Thanks, Italo

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf Of
Shahram Davari
Sent: Wednesday, July 30, 2008 2:04 PM
To: [email-masked]
Subject: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS

Hi,

Some of the protocols and techniques used in MPLS-TP drafts are applicable to
IP/MPLS. In order to minimize confusion for readers and implementers of MPLS-TP
drafts, I would like to suggest that all MPLS-TP drafts have a separate section
such as "applicability to IP/MPLS" that explains how the protocols and
techniques in those drafts may be used in normal IP/MPLS forwarding.
 
Regards,
Shahram

---

From: Ben Niven-Jenkins <[email-masked]>
Date: Thu, 31 Jul 2008 10:35:59 +0100

> the tool as a solution, just the same way as it would do for any other

I like this suggestion as it keeps the P in TP meaningful (i.e. Profile of
MPLS).

Ben

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 31 Jul 2008 11:22:04 +0100

Ben,

Yes, this was part of my point.

I am certainly not looking to increase the work-load nor to slow down any 
developments. Quite the opposite!

But I do want to make sure that extensions we do are fully applicable where 
they are appropriate. A perfect example of this is the OAM work. Of course, 
MPLS-TP is based on TE LSPs and so the OAM we develop will be applicable to 
that context to be appropriate for use in transport networks, but it would 
be crazy for us to develop OAM extensions that (by accident, not design) 
cannot be used in other MPLS contexts.

A
----- Original Message ----- 
From: "Ben Niven-Jenkins" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>; "Shahram Davari" 
<[email-masked]>; <[email-masked]>
Sent: Thursday, July 31, 2008 10:35 AM
Subject: Re: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS

---

From: "Shahram Davari" <[email-masked]>
Date: Thu, 31 Jul 2008 15:51:53 -0400

Yes. The requirements document may just mention that the solutions for
MPLS-TP may be applicable to IP/MPLS as well.
 
Shahram
 
From: Italo Busi [mailto:[email-masked]] 
Sent: July-30-08 1:09 PM
To: 'Shahram Davari'; [email-masked]
Subject: RE: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS
 
Sharam,

 
Thanks, Italo

  _____  

From: [email-masked] [mailto:[email-masked]] On Behalf
Of Shahram Davari
Sent: Wednesday, July 30, 2008 2:04 PM
To: [email-masked]
Subject: [mpls-tp] Applicability of MPLS-TP drafts to IP/MPLS
Hi,

 
Regards,
Shahram